## class SG_EXPORT TraceStream

### Public Methods

TraceStream(std::ostream& o=std::cout, TraceLevel tl=Results)
~TraceStream()
void setTraceLevel(TraceLevel tl)
TraceLevel getTraceLevel() const
std::ostream& stream(TraceLevel tl)

## Documentation

`TraceStream(std::ostream& o=std::cout, TraceLevel tl=Results)`

`~TraceStream()`

`void setTraceLevel(TraceLevel tl)`

`TraceLevel getTraceLevel() const`

`std::ostream& stream(TraceLevel tl)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.